#include <iostream>

using namespace std;

int main() {
    int a, b, x, y;
    cin >> a >> b;
    cin >> x >> y;
    if (a == x && b == y)
        cout << "nijedan";
    else if (a == x && b != y)
        cout << "prvi";
    else if (a != x && b == y)
        cout << "drugi";
    else if (a != x && b != y)
        cout << "?";
        
    return 0;
}